解决 Requires: libc.so.6(GLIBC_2.14)(64bit)

#Linux学习笔记# 解决 Requires: libc.so.6(GLIBC_2.18)(64bit)

CentOS 6 上安装一个软件,报 Requires: libc.so.6(GLIBC_2.14)(64bit),使用命令 strings /lib64/libc.so.6 | grep GLIBC,查看支持的 gblic 版本

[root@kvm supdev]# strings /lib64/libc.so.6 | grep GLIBC
GLIBC_2.2.5
GLIBC_2.2.6
GLIBC_2.3
GLIBC_2.3.2
GLIBC_2.3.3
GLIBC_2.3.4
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_PRIVATE

下载 glibc-2.14.tar.gz

wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz
tar xf glibc-2.14.tar.gz
cd glibc-2.14
mkdir build
cd build
../configure –prefix=/opt/glibc-2.14 –disable-profile –enable-add-ons –with-headers=/usr/include –with-binutils=/usr/bin
make
make install

编译好后,再看看

“`
[root@kvm supdev]# strings /lib64/libc.so.6 | grep GLIBC
GLIBC_2.2.5
GLIBC_2.2.6
GLIBC_2.3
GLIBC_2.3.2
GLIBC_2.3.3
GLIBC_2.3.4
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_2.14
GLIBC_PRIVATE
———————
参考资料
原文:https://blog.csdn.net/molaifeng/article/deTails/79071671
https://blog.csdn.net/clirus/article/details/62425498

 

ps: 此问题尚未解救

发表回复

后才能评论